# portworxapis
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: version not set
- Package version: 1.0.0
- Generator version: 7.10.0-SNAPSHOT
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import portworxapis
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import portworxapis
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import portworxapis
from portworxapis.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = portworxapis.Configuration(
    host = "http://localhost"
)



# Enter a context with an instance of the API client
with portworxapis.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = portworxapis.AccountServiceApi(api_client)
    account_id = 'account_id_example' # str | account id which is going to be deleted.

    try:
        # DeleteAccount API deletes account for given id.
        api_response = api_instance.account_service_delete_account(account_id)
        print("The response of AccountServiceApi->account_service_delete_account:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling AccountServiceApi->account_service_delete_account: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AccountServiceApi* | [**account_service_delete_account**](docs/AccountServiceApi.md#account_service_delete_account) | **DELETE** /core/v1/accounts/{accountId} | DeleteAccount API deletes account for given id.
*AccountServiceApi* | [**account_service_get_account**](docs/AccountServiceApi.md#account_service_get_account) | **GET** /core/v1/accounts/{accountId} | GetAccount API returns the info about account for given account id.
*ApplicationServiceApi* | [**application_service_get_application**](docs/ApplicationServiceApi.md#application_service_get_application) | **GET** /core/v1/applications/{id} | GetApplication API returns the info about application with given id.
*ApplicationServiceApi* | [**application_service_get_application2**](docs/ApplicationServiceApi.md#application_service_get_application2) | **GET** /core/v1/clusters/{clusterId}/applications/{id} | GetApplication API returns the info about application with given id.
*ApplicationServiceApi* | [**application_service_install_application**](docs/ApplicationServiceApi.md#application_service_install_application) | **POST** /core/v1/clusters/{clusterId}/applications | InstallApplication API installs specified application on the target cluster.
*ApplicationServiceApi* | [**application_service_list_applications**](docs/ApplicationServiceApi.md#application_service_list_applications) | **GET** /core/v1/clusters/{clusterId}/applications | ListApplications API lists the applications installed on the target cluster.
*ApplicationServiceApi* | [**application_service_list_available_applications**](docs/ApplicationServiceApi.md#application_service_list_available_applications) | **GET** /core/v1/tenants/{tenantId}:listAvailableApplications | ListAvailableApplications API lists all the applications visible to a caller.
*ApplicationServiceApi* | [**application_service_uninstall_application**](docs/ApplicationServiceApi.md#application_service_uninstall_application) | **DELETE** /core/v1/applications/{id} | UninstallApplication API uninstalls the specified application on the target cluster.
*ApplicationServiceApi* | [**application_service_uninstall_application2**](docs/ApplicationServiceApi.md#application_service_uninstall_application2) | **DELETE** /core/v1/clusters/{clusterId}/applications/{id} | UninstallApplication API uninstalls the specified application on the target cluster.
*ApplicationServiceApi* | [**application_service_update_application**](docs/ApplicationServiceApi.md#application_service_update_application) | **PUT** /core/v1/applications/{application.meta.uid} | UpdateApplication API updates specified application on the target cluster.
*BackupConfigServiceApi* | [**backup_config_service_create_backup_config**](docs/BackupConfigServiceApi.md#backup_config_service_create_backup_config) | **POST** /pds/v1/projects/{projectId}/backupConfigs | CreateBackupConfig API creates the backup configuration of the backup.
*BackupConfigServiceApi* | [**backup_config_service_delete_backup_config**](docs/BackupConfigServiceApi.md#backup_config_service_delete_backup_config) | **DELETE** /pds/v1/backupConfigs/{id} | DeleteBackupConfig API deletes the backup configuration.
*BackupConfigServiceApi* | [**backup_config_service_get_backup_config**](docs/BackupConfigServiceApi.md#backup_config_service_get_backup_config) | **GET** /pds/v1/backupConfigs/{id} | GetBackupConfig API returns the the backup configuration resource.
*BackupConfigServiceApi* | [**backup_config_service_list_backup_configs**](docs/BackupConfigServiceApi.md#backup_config_service_list_backup_configs) | **GET** /pds/v1/backupConfigs | ListBackupConfigs API lists all the backup configuration for a data service deployment.
*BackupConfigServiceApi* | [**backup_config_service_update_backup_config**](docs/BackupConfigServiceApi.md#backup_config_service_update_backup_config) | **PUT** /pds/v1/backupConfigs/{id} | UpdateBackupConfig API updates the backup configuration of the backup.
*BackupLocationServiceApi* | [**backup_location_service_create_backup_location**](docs/BackupLocationServiceApi.md#backup_location_service_create_backup_location) | **POST** /core/v1/tenants/{tenantId}/backupLocations | Create API creates a backup location for a tenant.
*BackupLocationServiceApi* | [**backup_location_service_delete_backup_location**](docs/BackupLocationServiceApi.md#backup_location_service_delete_backup_location) | **DELETE** /core/v1/backupLocations/{id} | Delete API deletes a backup location.
*BackupLocationServiceApi* | [**backup_location_service_get_backup_location**](docs/BackupLocationServiceApi.md#backup_location_service_get_backup_location) | **GET** /core/v1/backupLocations/{id} | Get API returns the backup location.
*BackupLocationServiceApi* | [**backup_location_service_list_backup_locations**](docs/BackupLocationServiceApi.md#backup_location_service_list_backup_locations) | **GET** /core/v1/backupLocations | List API lists all the backup locations for a tenant
*BackupLocationServiceApi* | [**backup_location_service_list_backup_locations2**](docs/BackupLocationServiceApi.md#backup_location_service_list_backup_locations2) | **POST** /core/v1/backupLocations:search | List API lists all the backup locations for a tenant
*BackupLocationServiceApi* | [**backup_location_service_update_backup_location**](docs/BackupLocationServiceApi.md#backup_location_service_update_backup_location) | **PUT** /core/v1/backupLocations/{id} | Update API updates a backup location.
*BackupPolicyServiceApi* | [**backup_policy_service_create_backup_policy**](docs/BackupPolicyServiceApi.md#backup_policy_service_create_backup_policy) | **POST** /core/v1/tenants/{tenantId}/backupPolicies | Create API creates a backup policy for a tenant.
*BackupPolicyServiceApi* | [**backup_policy_service_delete_backup_policy**](docs/BackupPolicyServiceApi.md#backup_policy_service_delete_backup_policy) | **DELETE** /core/v1/backupPolicies/{id} | Delete API deletes a backup policy.
*BackupPolicyServiceApi* | [**backup_policy_service_get_backup_policy**](docs/BackupPolicyServiceApi.md#backup_policy_service_get_backup_policy) | **GET** /core/v1/backupPolicies/{id} | Get API returns the backup policy for the given ID.
*BackupPolicyServiceApi* | [**backup_policy_service_list_backup_policies**](docs/BackupPolicyServiceApi.md#backup_policy_service_list_backup_policies) | **GET** /core/v1/backupPolicies | List API lists all the backup policies for a tenant
*BackupPolicyServiceApi* | [**backup_policy_service_list_backup_policies2**](docs/BackupPolicyServiceApi.md#backup_policy_service_list_backup_policies2) | **POST** /core/v1/backupPolicies:search | List API lists all the backup policies for a tenant
*BackupPolicyServiceApi* | [**backup_policy_service_update_backup_policy_meta**](docs/BackupPolicyServiceApi.md#backup_policy_service_update_backup_policy_meta) | **PUT** /core/v1/backupPolicies/{meta.uid}:metaUpdate | Update API updates a the meta data of a backup policy.
*BackupServiceApi* | [**backup_service_delete_backup**](docs/BackupServiceApi.md#backup_service_delete_backup) | **DELETE** /pds/v1/backups/{id} | DeleteBackup API deletes the Backup resource.
*BackupServiceApi* | [**backup_service_get_backup**](docs/BackupServiceApi.md#backup_service_get_backup) | **GET** /pds/v1/backups/{id} | GetBackup API returns the Backup resource.
*BackupServiceApi* | [**backup_service_list_backups**](docs/BackupServiceApi.md#backup_service_list_backups) | **GET** /pds/v1/backups | ListBackups API lists the Backup resources.
*CloudCredentialServiceApi* | [**cloud_credential_service_create_cloud_credential**](docs/CloudCredentialServiceApi.md#cloud_credential_service_create_cloud_credential) | **POST** /core/v1/tenants/{tenantId}/cloudCredentials | Create API creates a set of cloud credentials for a tenant.
*CloudCredentialServiceApi* | [**cloud_credential_service_delete_cloud_credential**](docs/CloudCredentialServiceApi.md#cloud_credential_service_delete_cloud_credential) | **DELETE** /core/v1/cloudCredentials/{id} | Delete API deletes the cloud credentials.
*CloudCredentialServiceApi* | [**cloud_credential_service_get_cloud_credential**](docs/CloudCredentialServiceApi.md#cloud_credential_service_get_cloud_credential) | **GET** /core/v1/cloudCredentials/{id} | Get API returns the cloud credential details sans the actual credentials.
*CloudCredentialServiceApi* | [**cloud_credential_service_list_cloud_credentials**](docs/CloudCredentialServiceApi.md#cloud_credential_service_list_cloud_credentials) | **GET** /core/v1/cloudCredentials | List API lists all the cloud credentials for a tenant
*CloudCredentialServiceApi* | [**cloud_credential_service_list_cloud_credentials2**](docs/CloudCredentialServiceApi.md#cloud_credential_service_list_cloud_credentials2) | **POST** /core/v1/cloudCredentials:search | List API lists all the cloud credentials for a tenant
*CloudCredentialServiceApi* | [**cloud_credential_service_update_cloud_credential**](docs/CloudCredentialServiceApi.md#cloud_credential_service_update_cloud_credential) | **PUT** /core/v1/cloudCredentials/{id} | Update API updates a cloud credential.
*CopilotServiceApi* | [**copilot_service_search_query**](docs/CopilotServiceApi.md#copilot_service_search_query) | **POST** /pds/v1/copilot/search | Search dataservice queries.
*DataServiceDeploymentConfigUpdateServiceApi* | [**data_service_deployment_config_update_service_create_data_service_deployment_config_update**](docs/DataServiceDeploymentConfigUpdateServiceApi.md#data_service_deployment_config_update_service_create_data_service_deployment_config_update) | **PUT** /pds/v1/dataServiceDeployments/{dataServiceDeploymentConfigUpdate.config.dataServiceDeploymentMeta.uid}/dataServiceDeploymentConfigUpdates | CreateDataServiceDeploymentConfigUpdate API creates config update for deployment.
*DataServiceDeploymentConfigUpdateServiceApi* | [**data_service_deployment_config_update_service_get_data_service_deployment_config_update**](docs/DataServiceDeploymentConfigUpdateServiceApi.md#data_service_deployment_config_update_service_get_data_service_deployment_config_update) | **GET** /pds/v1/dataServiceDeploymentConfigUpdates/{id} | GetDataServiceDeploymentConfigUpdate API returns a DataService deployment config update by id.
*DataServiceDeploymentConfigUpdateServiceApi* | [**data_service_deployment_config_update_service_list_data_service_deployment_config_updates**](docs/DataServiceDeploymentConfigUpdateServiceApi.md#data_service_deployment_config_update_service_list_data_service_deployment_config_updates) | **GET** /pds/v1/dataServiceDeploymentConfigUpdates | ListDataServiceDeploymentConfigUpdates API returns a list of data service deployment config updates.
*DataServiceDeploymentConfigUpdateServiceApi* | [**data_service_deployment_config_update_service_retry_data_service_deployment_config_update**](docs/DataServiceDeploymentConfigUpdateServiceApi.md#data_service_deployment_config_update_service_retry_data_service_deployment_config_update) | **POST** /pds/v1/dataServiceDeploymentConfigUpdates/{id}:retry | RetryDataServiceDeploymentConfigUpdate API retries a data service deployment config update.
*DataServiceDeploymentEventServiceApi* | [**data_service_deployment_event_service_list_data_service_deployment_events**](docs/DataServiceDeploymentEventServiceApi.md#data_service_deployment_event_service_list_data_service_deployment_events) | **GET** /pds/v1/dataServiceDeployments/{dataServiceDeploymentId}/events | ListDataServiceDeploymentEvents API returns the list of kubernetes events related to a DataService deployment.
*DataServiceDeploymentServiceApi* | [**data_service_deployment_service_create_data_service_deployment**](docs/DataServiceDeploymentServiceApi.md#data_service_deployment_service_create_data_service_deployment) | **POST** /pds/v1/namespaces/{namespaceId}/dataServiceDeployments | CreateDataServiceDeployment API creates the Deployment resource.
*DataServiceDeploymentServiceApi* | [**data_service_deployment_service_create_data_service_deployment_with_scheduled_backup**](docs/DataServiceDeploymentServiceApi.md#data_service_deployment_service_create_data_service_deployment_with_scheduled_backup) | **POST** /pds/v1/namespaces/{namespaceId}/dataServiceDeployments:createWithScheduledBackup | CreateDataServiceDeploymentWithScheduledBackup API creates both Deployment and backup configuration resources.
*DataServiceDeploymentServiceApi* | [**data_service_deployment_service_delete_data_service_deployment**](docs/DataServiceDeploymentServiceApi.md#data_service_deployment_service_delete_data_service_deployment) | **DELETE** /pds/v1/dataServiceDeployments/{id} | DeleteDataServiceDeployment API deletes the DataService Deployment resource.
*DataServiceDeploymentServiceApi* | [**data_service_deployment_service_get_data_service_deployment**](docs/DataServiceDeploymentServiceApi.md#data_service_deployment_service_get_data_service_deployment) | **GET** /pds/v1/dataServiceDeployments/{id} | GetDataServiceDeployment API returns the DataService Deployment resource.
*DataServiceDeploymentServiceApi* | [**data_service_deployment_service_get_data_service_deployment_credentials**](docs/DataServiceDeploymentServiceApi.md#data_service_deployment_service_get_data_service_deployment_credentials) | **GET** /pds/v1/dataServiceDeployments/{id}:credentials | GetDataServiceDeploymentCredentials API returns the Credentials to be used to access the DataService Deployment.
*DataServiceDeploymentServiceApi* | [**data_service_deployment_service_get_key_performance_indicators**](docs/DataServiceDeploymentServiceApi.md#data_service_deployment_service_get_key_performance_indicators) | **POST** /pds/v1/dataServiceDeployments:kpis | GetKeyPerformanceIndicator API return the analytics of the DataService Deployment resources.
*DataServiceDeploymentServiceApi* | [**data_service_deployment_service_list_data_service_deployments**](docs/DataServiceDeploymentServiceApi.md#data_service_deployment_service_list_data_service_deployments) | **POST** /pds/v1/dataServiceDeployments:search | ListDataServiceDeployments API lists the DataService Deployment resources.
*DataServiceVersionServiceApi* | [**data_service_version_service_get_data_service_version**](docs/DataServiceVersionServiceApi.md#data_service_version_service_get_data_service_version) | **GET** /pds/v1/catalog/dataServiceVersions/{id} | GetDataServiceVersion returns a data service version.
*DataServiceVersionServiceApi* | [**data_service_version_service_list_compatible_data_service_versions**](docs/DataServiceVersionServiceApi.md#data_service_version_service_list_compatible_data_service_versions) | **GET** /pds/v1/catalog/dataServiceVersions:listCompatibleVersions | ListCompatibleDataServiceVersions lists all the data service versions compatible with other version of a data service.
*DataServiceVersionServiceApi* | [**data_service_version_service_list_data_service_versions**](docs/DataServiceVersionServiceApi.md#data_service_version_service_list_data_service_versions) | **GET** /pds/v1/catalog/dataServices/{dataServiceId}/dataServiceVersions | ListDataServiceVersions lists all the versions of a data service.
*DataServicesServiceApi* | [**data_services_service_get_data_service**](docs/DataServicesServiceApi.md#data_services_service_get_data_service) | **GET** /pds/v1/catalog/dataServices/{id} | GetDataService API returns the the data service resource.
*DataServicesServiceApi* | [**data_services_service_list_data_services**](docs/DataServicesServiceApi.md#data_services_service_list_data_services) | **GET** /pds/v1/catalog/dataServices | ListDataServices API lists the the data service resources.
*IAMServiceApi* | [**i_am_service_create_iam**](docs/IAMServiceApi.md#i_am_service_create_iam) | **POST** /core/v1/iam | CreateIAM API creates a new IAM role-binding.
*IAMServiceApi* | [**i_am_service_delete_iam**](docs/IAMServiceApi.md#i_am_service_delete_iam) | **DELETE** /core/v1/iam/{actorId} | DeleteIAM API delete IAM, currently required only for name.
*IAMServiceApi* | [**i_am_service_get_iam**](docs/IAMServiceApi.md#i_am_service_get_iam) | **GET** /core/v1/iam/{actorId} | GetIAM API returns the info about IAM for given IAM id.
*IAMServiceApi* | [**i_am_service_grant_iam**](docs/IAMServiceApi.md#i_am_service_grant_iam) | **POST** /core/v1/iam/{actorId}:grant | GrantIAM API creates new IAM role-binding at tenant, project and account level.
*IAMServiceApi* | [**i_am_service_list_iam**](docs/IAMServiceApi.md#i_am_service_list_iam) | **GET** /core/v1/iam | ListIAM API lists the role bindings.
*IAMServiceApi* | [**i_am_service_list_iam_permissions**](docs/IAMServiceApi.md#i_am_service_list_iam_permissions) | **GET** /core/v1/iam/permissions | ListIAMPermissions API list permissions for Roles in IAM.
*IAMServiceApi* | [**i_am_service_revoke_iam**](docs/IAMServiceApi.md#i_am_service_revoke_iam) | **POST** /core/v1/iam/{actorId}:revoke | RevokeIAM API delete IAM role-binding at tenant, project and account level.
*IAMServiceApi* | [**i_am_service_update_iam**](docs/IAMServiceApi.md#i_am_service_update_iam) | **PUT** /core/v1/iam/{iam.meta.uid} | UpdateIAM API updates IAM with the new set of role bindings. The request replaces the existing set of bindings.
*ImageServiceApi* | [**image_service_get_image**](docs/ImageServiceApi.md#image_service_get_image) | **GET** /pds/v1/catalog/images/{id} | GetImage API returns the information about the specified image.
*ImageServiceApi* | [**image_service_list_images**](docs/ImageServiceApi.md#image_service_list_images) | **GET** /pds/v1/catalog/images | ListImages API lists the data service images.
*InvitationServiceApi* | [**invitation_service_accept_invitation**](docs/InvitationServiceApi.md#invitation_service_accept_invitation) | **POST** /core/v1/invite:accept | AcceptInvitation API accepts the invitation from the system.
*InvitationServiceApi* | [**invitation_service_create_invitation**](docs/InvitationServiceApi.md#invitation_service_create_invitation) | **POST** /core/v1/invite | CreateInvitation API creates an invitation.
*InvitationServiceApi* | [**invitation_service_delete_invitation**](docs/InvitationServiceApi.md#invitation_service_delete_invitation) | **DELETE** /core/v1/invite/{uid} | DeleteInvitation deletes the specified invitation from the system.
*InvitationServiceApi* | [**invitation_service_get_invitation**](docs/InvitationServiceApi.md#invitation_service_get_invitation) | **GET** /core/v1/invite/{uid} | GetInvitation deletes the specified invitation from the system.
*InvitationServiceApi* | [**invitation_service_list_invitations**](docs/InvitationServiceApi.md#invitation_service_list_invitations) | **GET** /core/v1/invite | ListInvitation API lists invitation in an account/tenant/project.
*InvitationServiceApi* | [**invitation_service_notify_user**](docs/InvitationServiceApi.md#invitation_service_notify_user) | **GET** /core/v1/invite/{uid}:notify | Notify re-send the mail notification to the user email in the invitation config.
*LoginServiceApi* | [**login_service_get_oidc_info**](docs/LoginServiceApi.md#login_service_get_oidc_info) | **GET** /core/v1/oauth:oidcInfo | GetOIDCInfo API returns an oidc configurations for user client.
*LoginServiceApi* | [**login_service_login**](docs/LoginServiceApi.md#login_service_login) | **POST** /core/v1/oauth:login | Login API interacts with central using provided email + password and returns an ID Token which can be used by the user for API authentication.
*LoginServiceApi* | [**login_service_refresh_token**](docs/LoginServiceApi.md#login_service_refresh_token) | **POST** /core/v1/oauth:refreshToken | RefreshToken API returns an ID Token in exchange for a valid refresh token.
*MetricServiceApi* | [**metric_service_get_metrics**](docs/MetricServiceApi.md#metric_service_get_metrics) | **GET** /pds/v1/metrics | GetMetrics API returns the Metrics of DataService Deployment.
*NamespaceServiceApi* | [**namespace_service_delete_namespace**](docs/NamespaceServiceApi.md#namespace_service_delete_namespace) | **DELETE** /core/v1/namespaces/{id} | DeleteNamespace API will trigger deletion and cleanup on the control plane.
*NamespaceServiceApi* | [**namespace_service_list_namespaces**](docs/NamespaceServiceApi.md#namespace_service_list_namespaces) | **GET** /core/v1/namespaces | List API lists all the namespaces for a tenant
*NamespaceServiceApi* | [**namespace_service_list_namespaces2**](docs/NamespaceServiceApi.md#namespace_service_list_namespaces2) | **POST** /core/v1/namespaces:search | List API lists all the namespaces for a tenant
*OnboardServiceApi* | [**onboard_service_create_account_registration**](docs/OnboardServiceApi.md#onboard_service_create_account_registration) | **POST** /core/v1/registration | creates a new account registration request.
*OnboardServiceApi* | [**onboard_service_update_account_registration**](docs/OnboardServiceApi.md#onboard_service_update_account_registration) | **PUT** /core/v1/registration/{accountRegistration.meta.uid} | For updating account subscription info.
*ProjectServiceApi* | [**project_service_associate_resources**](docs/ProjectServiceApi.md#project_service_associate_resources) | **PUT** /core/v1/projects/{projectId}:associate | AssociateResources will append the supplied resources to existing infra resources of a given project config.
*ProjectServiceApi* | [**project_service_create_project**](docs/ProjectServiceApi.md#project_service_create_project) | **POST** /core/v1/tenants/{tenantId}/projects | Create project api creates a project.
*ProjectServiceApi* | [**project_service_delete_project**](docs/ProjectServiceApi.md#project_service_delete_project) | **DELETE** /core/v1/projects/{projectId} | Deletes a project and its associated resources.
*ProjectServiceApi* | [**project_service_disassociate_resources**](docs/ProjectServiceApi.md#project_service_disassociate_resources) | **PUT** /core/v1/projects/{projectId}:disassociate | DisassociateResource will remove the infra resources supplied in the request from the project config.
*ProjectServiceApi* | [**project_service_get_project**](docs/ProjectServiceApi.md#project_service_get_project) | **GET** /core/v1/projects/{projectId} | Get project apis returns a requested project.
*ProjectServiceApi* | [**project_service_list_projects**](docs/ProjectServiceApi.md#project_service_list_projects) | **GET** /core/v1/projects | List API lists all the projects for a tenant
*ProjectServiceApi* | [**project_service_list_projects2**](docs/ProjectServiceApi.md#project_service_list_projects2) | **POST** /core/v1/projects:search | List API lists all the projects for a tenant
*ProjectServiceApi* | [**project_service_update_project**](docs/ProjectServiceApi.md#project_service_update_project) | **PUT** /core/v1/projects/{meta.uid} | Update project api updates a project meta.
*RestoreServiceApi* | [**restore_service_create_restore**](docs/RestoreServiceApi.md#restore_service_create_restore) | **POST** /pds/v1/namespaces/{namespaceId}/restores | CreateRestore API creates the Restore resource.
*RestoreServiceApi* | [**restore_service_get_restore**](docs/RestoreServiceApi.md#restore_service_get_restore) | **GET** /pds/v1/restores/{id} | GetRestore API returns the Restore resource.
*RestoreServiceApi* | [**restore_service_list_restores**](docs/RestoreServiceApi.md#restore_service_list_restores) | **GET** /pds/v1/restores | ListRestore API lists the Restore resources.
*RestoreServiceApi* | [**restore_service_recreate_restore**](docs/RestoreServiceApi.md#restore_service_recreate_restore) | **POST** /pds/v1/restores/{id}:recreate | RecreateRestore API recreates a already failed restore.
*ServiceAccountServiceApi* | [**service_account_service_create_service_account**](docs/ServiceAccountServiceApi.md#service_account_service_create_service_account) | **POST** /core/v1/tenants/{tenantId}/serviceAccounts | Create a requested service account.
*ServiceAccountServiceApi* | [**service_account_service_delete_service_account**](docs/ServiceAccountServiceApi.md#service_account_service_delete_service_account) | **DELETE** /core/v1/serviceAccounts/{id} | Initiates deletion of a service account.
*ServiceAccountServiceApi* | [**service_account_service_get_access_token**](docs/ServiceAccountServiceApi.md#service_account_service_get_access_token) | **POST** /core/v1/tenants/{tenantId}:getToken | Get access token for a service account.
*ServiceAccountServiceApi* | [**service_account_service_get_service_account**](docs/ServiceAccountServiceApi.md#service_account_service_get_service_account) | **GET** /core/v1/serviceAccounts/{id} | Returns a requested service account.
*ServiceAccountServiceApi* | [**service_account_service_list_service_account**](docs/ServiceAccountServiceApi.md#service_account_service_list_service_account) | **GET** /core/v1/serviceAccounts | Returns a requested list of service accounts.
*ServiceAccountServiceApi* | [**service_account_service_regenerate_service_account_secret**](docs/ServiceAccountServiceApi.md#service_account_service_regenerate_service_account_secret) | **GET** /core/v1/serviceAccounts/{id}:regenerate | Regenerate access token for a service account.
*ServiceAccountServiceApi* | [**service_account_service_update_service_account**](docs/ServiceAccountServiceApi.md#service_account_service_update_service_account) | **PUT** /core/v1/serviceAccounts/{id} | Updates a service account.
*TargetClusterRegistrationManifestServiceApi* | [**target_cluster_registration_manifest_service_generate_target_cluster_registration_manifest**](docs/TargetClusterRegistrationManifestServiceApi.md#target_cluster_registration_manifest_service_generate_target_cluster_registration_manifest) | **POST** /core/v1/tenants/{tenantId}:registrationManifests | GetTargetClusterRegistrationManifest fetches registration manifest for the given request.
*TargetClusterServiceApi* | [**target_cluster_service_delete_target_cluster**](docs/TargetClusterServiceApi.md#target_cluster_service_delete_target_cluster) | **DELETE** /core/v1/clusters/{id} | DeleteTargetCluster API deletes the specified TargetCluster.
*TargetClusterServiceApi* | [**target_cluster_service_get_target_cluster**](docs/TargetClusterServiceApi.md#target_cluster_service_get_target_cluster) | **GET** /core/v1/clusters/{id} | GetTargetCluster API returns the info about the TargetCluster for given name.
*TargetClusterServiceApi* | [**target_cluster_service_list_target_clusters**](docs/TargetClusterServiceApi.md#target_cluster_service_list_target_clusters) | **GET** /core/v1/clusters | List API lists all the target clusters for a tenant
*TargetClusterServiceApi* | [**target_cluster_service_list_target_clusters2**](docs/TargetClusterServiceApi.md#target_cluster_service_list_target_clusters2) | **POST** /core/v1/clusters:search | List API lists all the target clusters for a tenant
*TargetClusterServiceApi* | [**target_cluster_service_update_target_cluster**](docs/TargetClusterServiceApi.md#target_cluster_service_update_target_cluster) | **PUT** /core/v1/clusters/{targetCluster.meta.uid} | UpdateTargetCluster API updates the metadata(e.g name/labels/annotations and desc) of the specified TargetCluster.
*TemplateDefinitionServiceApi* | [**template_definition_service_get_revision**](docs/TemplateDefinitionServiceApi.md#template_definition_service_get_revision) | **GET** /pds/v1/catalog/templateDefinition/revisions:get | GetRevision gets the revision details, containing the actual schema.
*TemplateDefinitionServiceApi* | [**template_definition_service_get_template_sample**](docs/TemplateDefinitionServiceApi.md#template_definition_service_get_template_sample) | **GET** /pds/v1/catalog/templateDefinition/samples/{id} | GetTemplateSample API returns the template sample for a given template id.
*TemplateDefinitionServiceApi* | [**template_definition_service_get_template_type**](docs/TemplateDefinitionServiceApi.md#template_definition_service_get_template_type) | **GET** /pds/v1/catalog/templateDefinition/types/{id} | GetTemplateType API returns the template type by id.
*TemplateDefinitionServiceApi* | [**template_definition_service_list_revisions**](docs/TemplateDefinitionServiceApi.md#template_definition_service_list_revisions) | **GET** /pds/v1/catalog/templateDefinition/revisions | List API lists all the revision
*TemplateDefinitionServiceApi* | [**template_definition_service_list_revisions2**](docs/TemplateDefinitionServiceApi.md#template_definition_service_list_revisions2) | **POST** /pds/v1/catalog/templateDefinition/revisions:search | List API lists all the revision
*TemplateDefinitionServiceApi* | [**template_definition_service_list_template_kinds**](docs/TemplateDefinitionServiceApi.md#template_definition_service_list_template_kinds) | **GET** /pds/v1/catalog/templateDefinition/kinds | ListTemplateKindRequest: Used to list unique template kind(names).
*TemplateDefinitionServiceApi* | [**template_definition_service_list_template_samples**](docs/TemplateDefinitionServiceApi.md#template_definition_service_list_template_samples) | **GET** /pds/v1/catalog/templateDefinition/samples | ListTemplateSamples: Used to list template sample schema.
*TemplateDefinitionServiceApi* | [**template_definition_service_list_template_types**](docs/TemplateDefinitionServiceApi.md#template_definition_service_list_template_types) | **GET** /pds/v1/catalog/templateDefinition/types | ListTemplateTypes API returns the list of all supported template types.
*TemplateServiceApi* | [**template_service_create_template**](docs/TemplateServiceApi.md#template_service_create_template) | **POST** /core/v1/tenants/{tenantId}/templates | Create API creates a set of templates for a tenant.
*TemplateServiceApi* | [**template_service_delete_template**](docs/TemplateServiceApi.md#template_service_delete_template) | **DELETE** /core/v1/templates/{id} | Delete API deletes the templates.
*TemplateServiceApi* | [**template_service_get_template**](docs/TemplateServiceApi.md#template_service_get_template) | **GET** /core/v1/templates/{id} | Get API returns the template details sans the actual credentials.
*TemplateServiceApi* | [**template_service_list_templates**](docs/TemplateServiceApi.md#template_service_list_templates) | **GET** /core/v1/templates | List API lists all the templates for a tenant
*TemplateServiceApi* | [**template_service_list_templates2**](docs/TemplateServiceApi.md#template_service_list_templates2) | **POST** /core/v1/templates:search | List API lists all the templates for a tenant
*TemplateServiceApi* | [**template_service_update_template**](docs/TemplateServiceApi.md#template_service_update_template) | **PUT** /core/v1/templates/{template.meta.uid} | Update API updates a template.
*TenantServiceApi* | [**tenant_service_create_tenant**](docs/TenantServiceApi.md#tenant_service_create_tenant) | **POST** /core/v1/tenants | CreateTenant API creates a new Tenant.
*TenantServiceApi* | [**tenant_service_delete_tenant**](docs/TenantServiceApi.md#tenant_service_delete_tenant) | **DELETE** /core/v1/tenants/{tenantId} | Delete tenant removes a tenant record.
*TenantServiceApi* | [**tenant_service_get_tenant**](docs/TenantServiceApi.md#tenant_service_get_tenant) | **GET** /core/v1/tenants/{tenantId} | GetTenant API returns the info about  for given tenant id.
*TenantServiceApi* | [**tenant_service_list_tenants**](docs/TenantServiceApi.md#tenant_service_list_tenants) | **GET** /core/v1/tenants | ListTenants API lists the tenants visible to the caller for the current account.
*TenantServiceApi* | [**tenant_service_update_tenant**](docs/TenantServiceApi.md#tenant_service_update_tenant) | **PUT** /core/v1/tenants/{tenant.meta.uid} | UpdateTenant API updates tenant.
*WhoAmIServiceApi* | [**who_am_i_service_invitations_who_am_i**](docs/WhoAmIServiceApi.md#who_am_i_service_invitations_who_am_i) | **GET** /core/v1/whoami:invitations | InvitationsWhoAmI API returns the current actor pending invitations cross accounts.
*WhoAmIServiceApi* | [**who_am_i_service_who_am_i**](docs/WhoAmIServiceApi.md#who_am_i_service_who_am_i) | **GET** /core/v1/whoami | WhoAmI API returns the current actor accounts.


## Documentation For Models

 - [AccountForWhichSubscriptionInfoNeedsToBeUpdated](docs/AccountForWhichSubscriptionInfoNeedsToBeUpdated.md)
 - [Accountv1Status](docs/Accountv1Status.md)
 - [ApplicationHealthHealth](docs/ApplicationHealthHealth.md)
 - [ApplicationPhasePhase](docs/ApplicationPhasePhase.md)
 - [ApplicationToBeUpdated](docs/ApplicationToBeUpdated.md)
 - [Applicationv1Status](docs/Applicationv1Status.md)
 - [BackupConfigServiceCreateBackupConfigBody](docs/BackupConfigServiceCreateBackupConfigBody.md)
 - [BackupConfigServiceUpdateBackupConfigBody](docs/BackupConfigServiceUpdateBackupConfigBody.md)
 - [Backupconfigv1Status](docs/Backupconfigv1Status.md)
 - [Backuplocationv1Status](docs/Backuplocationv1Status.md)
 - [Backupv1Status](docs/Backupv1Status.md)
 - [ConfigBackupLevel](docs/ConfigBackupLevel.md)
 - [ConfigBackupType](docs/ConfigBackupType.md)
 - [ConfigOfTheDataServiceDeploymentForWhichConfigUpdateIsRequested](docs/ConfigOfTheDataServiceDeploymentForWhichConfigUpdateIsRequested.md)
 - [ConfigReclaimPolicyType](docs/ConfigReclaimPolicyType.md)
 - [DataServiceDeploymentConfigUpdateOfTheDataServiceConfigDeploymentUpdateRequest](docs/DataServiceDeploymentConfigUpdateOfTheDataServiceConfigDeploymentUpdateRequest.md)
 - [DataServiceDeploymentServiceCreateDataServiceDeploymentBody](docs/DataServiceDeploymentServiceCreateDataServiceDeploymentBody.md)
 - [DataServiceDeploymentServiceCreateDataServiceDeploymentWithScheduledBackupBody](docs/DataServiceDeploymentServiceCreateDataServiceDeploymentWithScheduledBackupBody.md)
 - [Dataservicedeploymenteventsv1Status](docs/Dataservicedeploymenteventsv1Status.md)
 - [DesiredTemplateConfiguration](docs/DesiredTemplateConfiguration.md)
 - [GetRevisionRequestNameSemanticVersion](docs/GetRevisionRequestNameSemanticVersion.md)
 - [GooglerpcStatus](docs/GooglerpcStatus.md)
 - [IAMServiceGrantIAMBody](docs/IAMServiceGrantIAMBody.md)
 - [IAMServiceRevokeIAMBody](docs/IAMServiceRevokeIAMBody.md)
 - [IAMToBeUpdated](docs/IAMToBeUpdated.md)
 - [Invitationv1Status](docs/Invitationv1Status.md)
 - [ListDataServiceVersionsRequestEnabled](docs/ListDataServiceVersionsRequestEnabled.md)
 - [ListDataServicesRequestEnabled](docs/ListDataServicesRequestEnabled.md)
 - [ListImagesRequestEnabled](docs/ListImagesRequestEnabled.md)
 - [MetadataForIAM](docs/MetadataForIAM.md)
 - [MetadataOfTheAccount](docs/MetadataOfTheAccount.md)
 - [MetadataOfTheApplicationResourceMeta](docs/MetadataOfTheApplicationResourceMeta.md)
 - [MetadataOfTheBackupPolicyToBeUpdated](docs/MetadataOfTheBackupPolicyToBeUpdated.md)
 - [MetadataOfTheDataServiceDeploymentResource](docs/MetadataOfTheDataServiceDeploymentResource.md)
 - [MetadataOfTheProject](docs/MetadataOfTheProject.md)
 - [MetadataOfTheResource](docs/MetadataOfTheResource.md)
 - [MetadataOfTheTargetClusterResourceMeta](docs/MetadataOfTheTargetClusterResourceMeta.md)
 - [MetadataOfTheTenant](docs/MetadataOfTheTenant.md)
 - [NamespacePhasePhase](docs/NamespacePhasePhase.md)
 - [PDSApplicationSelectorPDSApplicationFilter](docs/PDSApplicationSelectorPDSApplicationFilter.md)
 - [PDSPropertiesGlobal](docs/PDSPropertiesGlobal.md)
 - [Pdsbackupconfigv1Config](docs/Pdsbackupconfigv1Config.md)
 - [Pdsbackupconfigv1References](docs/Pdsbackupconfigv1References.md)
 - [Pdsdataservicedeploymentconfigupdatev1Config](docs/Pdsdataservicedeploymentconfigupdatev1Config.md)
 - [Pdsdataservicedeploymentconfigupdatev1Status](docs/Pdsdataservicedeploymentconfigupdatev1Status.md)
 - [Pdsdataservicedeploymentconfigupdatev1StatusPhase](docs/Pdsdataservicedeploymentconfigupdatev1StatusPhase.md)
 - [Pdsdataservicedeploymentv1Config](docs/Pdsdataservicedeploymentv1Config.md)
 - [Pdsdataservicedeploymentv1References](docs/Pdsdataservicedeploymentv1References.md)
 - [Pdsdataservicedeploymentv1Status](docs/Pdsdataservicedeploymentv1Status.md)
 - [PlatformTargetClusterv1Status](docs/PlatformTargetClusterv1Status.md)
 - [Platformbackuplocationv1Config](docs/Platformbackuplocationv1Config.md)
 - [Platformiamv1Sort](docs/Platformiamv1Sort.md)
 - [Platformiamv1SortByField](docs/Platformiamv1SortByField.md)
 - [Platforminvitationv1Config](docs/Platforminvitationv1Config.md)
 - [ProjectServiceAssociateResourcesBody](docs/ProjectServiceAssociateResourcesBody.md)
 - [ProjectServiceCreateProjectBody](docs/ProjectServiceCreateProjectBody.md)
 - [ProjectServiceDisassociateResourcesBody](docs/ProjectServiceDisassociateResourcesBody.md)
 - [ProjectServiceUpdateProjectBody](docs/ProjectServiceUpdateProjectBody.md)
 - [Projectv1Status](docs/Projectv1Status.md)
 - [ProtobufAny](docs/ProtobufAny.md)
 - [ProtobufNullValue](docs/ProtobufNullValue.md)
 - [ResourceSelectorResourceFilter](docs/ResourceSelectorResourceFilter.md)
 - [RestoreServiceCreateRestoreBody](docs/RestoreServiceCreateRestoreBody.md)
 - [RestoreServiceRecreateRestoreBody](docs/RestoreServiceRecreateRestoreBody.md)
 - [Restorev1Status](docs/Restorev1Status.md)
 - [RpcStatus](docs/RpcStatus.md)
 - [SelectorFilter](docs/SelectorFilter.md)
 - [SelectorOperator](docs/SelectorOperator.md)
 - [ServiceAccountServiceGetAccessTokenBody](docs/ServiceAccountServiceGetAccessTokenBody.md)
 - [Serviceaccountv1Status](docs/Serviceaccountv1Status.md)
 - [SortByField](docs/SortByField.md)
 - [SortOrderValue](docs/SortOrderValue.md)
 - [StatusPhase](docs/StatusPhase.md)
 - [StatusPhase1](docs/StatusPhase1.md)
 - [StatusPhase2](docs/StatusPhase2.md)
 - [StatusValidity](docs/StatusValidity.md)
 - [TargetClusterDetails](docs/TargetClusterDetails.md)
 - [TargetClusterRegistrationManifestServiceGenerateTargetClusterRegistrationManifestBody](docs/TargetClusterRegistrationManifestServiceGenerateTargetClusterRegistrationManifestBody.md)
 - [TemplateServiceUpdateTemplateBody](docs/TemplateServiceUpdateTemplateBody.md)
 - [Templatedefinitionv1Info](docs/Templatedefinitionv1Info.md)
 - [Templatev1Status](docs/Templatev1Status.md)
 - [TenantWhichNeedsToBeUpdated](docs/TenantWhichNeedsToBeUpdated.md)
 - [Tenantv1Status](docs/Tenantv1Status.md)
 - [V1AcceptInvitationRequest](docs/V1AcceptInvitationRequest.md)
 - [V1AcceptInvitationResponse](docs/V1AcceptInvitationResponse.md)
 - [V1AccessPolicy](docs/V1AccessPolicy.md)
 - [V1AccessToken](docs/V1AccessToken.md)
 - [V1Account](docs/V1Account.md)
 - [V1Account1](docs/V1Account1.md)
 - [V1AccountConfig](docs/V1AccountConfig.md)
 - [V1AccountRegistration](docs/V1AccountRegistration.md)
 - [V1AccountType](docs/V1AccountType.md)
 - [V1Application](docs/V1Application.md)
 - [V1Application1](docs/V1Application1.md)
 - [V1ApplicationPhasePhase](docs/V1ApplicationPhasePhase.md)
 - [V1ApplicationResources](docs/V1ApplicationResources.md)
 - [V1AwsSubscriptionInfo](docs/V1AwsSubscriptionInfo.md)
 - [V1AzureBlobStorage](docs/V1AzureBlobStorage.md)
 - [V1AzureCredentials](docs/V1AzureCredentials.md)
 - [V1Backup](docs/V1Backup.md)
 - [V1BackupConfig](docs/V1BackupConfig.md)
 - [V1BackupConfigSuspended](docs/V1BackupConfigSuspended.md)
 - [V1BackupLocation](docs/V1BackupLocation.md)
 - [V1BackupPolicy](docs/V1BackupPolicy.md)
 - [V1BackupPolicy1](docs/V1BackupPolicy1.md)
 - [V1Claims](docs/V1Claims.md)
 - [V1CloudCredential](docs/V1CloudCredential.md)
 - [V1CompatibleVersions](docs/V1CompatibleVersions.md)
 - [V1Config](docs/V1Config.md)
 - [V1Config1](docs/V1Config1.md)
 - [V1Config10](docs/V1Config10.md)
 - [V1Config11](docs/V1Config11.md)
 - [V1Config12](docs/V1Config12.md)
 - [V1Config2](docs/V1Config2.md)
 - [V1Config3](docs/V1Config3.md)
 - [V1Config4](docs/V1Config4.md)
 - [V1Config5](docs/V1Config5.md)
 - [V1Config6](docs/V1Config6.md)
 - [V1Config7](docs/V1Config7.md)
 - [V1Config8](docs/V1Config8.md)
 - [V1Config9](docs/V1Config9.md)
 - [V1ConnectionDetails](docs/V1ConnectionDetails.md)
 - [V1ConnectionInfo](docs/V1ConnectionInfo.md)
 - [V1CreateInvitationRequest](docs/V1CreateInvitationRequest.md)
 - [V1CustomImageRegistryConfig](docs/V1CustomImageRegistryConfig.md)
 - [V1DailyPolicy](docs/V1DailyPolicy.md)
 - [V1DataService](docs/V1DataService.md)
 - [V1DataServiceDeployment](docs/V1DataServiceDeployment.md)
 - [V1DataServiceDeploymentConfigUpdate](docs/V1DataServiceDeploymentConfigUpdate.md)
 - [V1DataServiceDeploymentCredentials](docs/V1DataServiceDeploymentCredentials.md)
 - [V1DataServiceDeploymentEvent](docs/V1DataServiceDeploymentEvent.md)
 - [V1DataServiceDeploymentMetaData](docs/V1DataServiceDeploymentMetaData.md)
 - [V1DataServiceDeploymentMetaData1](docs/V1DataServiceDeploymentMetaData1.md)
 - [V1DataServiceDeploymentTopology](docs/V1DataServiceDeploymentTopology.md)
 - [V1DataServiceDeploymentTopologyStatus](docs/V1DataServiceDeploymentTopologyStatus.md)
 - [V1DataServiceDeploymentTopologyStatusHealth](docs/V1DataServiceDeploymentTopologyStatusHealth.md)
 - [V1DataServiceDeploymentTopologyStatusPhase](docs/V1DataServiceDeploymentTopologyStatusPhase.md)
 - [V1DataServiceVersion](docs/V1DataServiceVersion.md)
 - [V1DestinationReferences](docs/V1DestinationReferences.md)
 - [V1ErrorCode](docs/V1ErrorCode.md)
 - [V1EventType](docs/V1EventType.md)
 - [V1GoogleCloudStorage](docs/V1GoogleCloudStorage.md)
 - [V1GoogleCredentials](docs/V1GoogleCredentials.md)
 - [V1GrantIAMResponse](docs/V1GrantIAMResponse.md)
 - [V1IAM](docs/V1IAM.md)
 - [V1Image](docs/V1Image.md)
 - [V1Info](docs/V1Info.md)
 - [V1Info1](docs/V1Info1.md)
 - [V1Info2](docs/V1Info2.md)
 - [V1InfraResourceType](docs/V1InfraResourceType.md)
 - [V1InstanceInfo](docs/V1InstanceInfo.md)
 - [V1IntervalPolicy](docs/V1IntervalPolicy.md)
 - [V1Invitation](docs/V1Invitation.md)
 - [V1KeyPerformanceIndicators](docs/V1KeyPerformanceIndicators.md)
 - [V1KubePlatformType](docs/V1KubePlatformType.md)
 - [V1ListApplicationsResponse](docs/V1ListApplicationsResponse.md)
 - [V1ListAvailableApplicationsResponse](docs/V1ListAvailableApplicationsResponse.md)
 - [V1ListBackupConfigsResponse](docs/V1ListBackupConfigsResponse.md)
 - [V1ListBackupLocationsRequest](docs/V1ListBackupLocationsRequest.md)
 - [V1ListBackupLocationsResponse](docs/V1ListBackupLocationsResponse.md)
 - [V1ListBackupPoliciesRequest](docs/V1ListBackupPoliciesRequest.md)
 - [V1ListBackupPoliciesResponse](docs/V1ListBackupPoliciesResponse.md)
 - [V1ListBackupsResponse](docs/V1ListBackupsResponse.md)
 - [V1ListCloudCredentialsRequest](docs/V1ListCloudCredentialsRequest.md)
 - [V1ListCloudCredentialsResponse](docs/V1ListCloudCredentialsResponse.md)
 - [V1ListCompatibleDataServiceVersionsResponse](docs/V1ListCompatibleDataServiceVersionsResponse.md)
 - [V1ListDataServiceDeploymentConfigUpdatesResponse](docs/V1ListDataServiceDeploymentConfigUpdatesResponse.md)
 - [V1ListDataServiceDeploymentEventsResponse](docs/V1ListDataServiceDeploymentEventsResponse.md)
 - [V1ListDataServiceDeploymentsRequest](docs/V1ListDataServiceDeploymentsRequest.md)
 - [V1ListDataServiceDeploymentsResponse](docs/V1ListDataServiceDeploymentsResponse.md)
 - [V1ListDataServiceVersionsResponse](docs/V1ListDataServiceVersionsResponse.md)
 - [V1ListDataServicesResponse](docs/V1ListDataServicesResponse.md)
 - [V1ListIAMPermissionsResponse](docs/V1ListIAMPermissionsResponse.md)
 - [V1ListIAMResponse](docs/V1ListIAMResponse.md)
 - [V1ListImagesResponse](docs/V1ListImagesResponse.md)
 - [V1ListInvitationsResponse](docs/V1ListInvitationsResponse.md)
 - [V1ListNamespacesRequest](docs/V1ListNamespacesRequest.md)
 - [V1ListNamespacesResponse](docs/V1ListNamespacesResponse.md)
 - [V1ListProjectsRequest](docs/V1ListProjectsRequest.md)
 - [V1ListProjectsResponse](docs/V1ListProjectsResponse.md)
 - [V1ListRestoresResponse](docs/V1ListRestoresResponse.md)
 - [V1ListRevisionsRequest](docs/V1ListRevisionsRequest.md)
 - [V1ListRevisionsResponse](docs/V1ListRevisionsResponse.md)
 - [V1ListServiceAccountResponse](docs/V1ListServiceAccountResponse.md)
 - [V1ListTargetClustersRequest](docs/V1ListTargetClustersRequest.md)
 - [V1ListTargetClustersResponse](docs/V1ListTargetClustersResponse.md)
 - [V1ListTemplateKindsResponse](docs/V1ListTemplateKindsResponse.md)
 - [V1ListTemplateSamplesResponse](docs/V1ListTemplateSamplesResponse.md)
 - [V1ListTemplateTypesResponse](docs/V1ListTemplateTypesResponse.md)
 - [V1ListTemplatesRequest](docs/V1ListTemplatesRequest.md)
 - [V1ListTemplatesResponse](docs/V1ListTemplatesResponse.md)
 - [V1ListTenantsResponse](docs/V1ListTenantsResponse.md)
 - [V1LoginRequest](docs/V1LoginRequest.md)
 - [V1LoginResponse](docs/V1LoginResponse.md)
 - [V1Meta](docs/V1Meta.md)
 - [V1Metadata](docs/V1Metadata.md)
 - [V1MetricsResponse](docs/V1MetricsResponse.md)
 - [V1MonthlyPolicy](docs/V1MonthlyPolicy.md)
 - [V1Namespace](docs/V1Namespace.md)
 - [V1NamespaceStatus](docs/V1NamespaceStatus.md)
 - [V1NodeRestrictions](docs/V1NodeRestrictions.md)
 - [V1OIDCInfo](docs/V1OIDCInfo.md)
 - [V1PDSApplicationResourceType](docs/V1PDSApplicationResourceType.md)
 - [V1PDSApplicationSelector](docs/V1PDSApplicationSelector.md)
 - [V1PDSProperties](docs/V1PDSProperties.md)
 - [V1PDSResources](docs/V1PDSResources.md)
 - [V1PXEMetadata](docs/V1PXEMetadata.md)
 - [V1PageBasedPaginationRequest](docs/V1PageBasedPaginationRequest.md)
 - [V1PageBasedPaginationResponse](docs/V1PageBasedPaginationResponse.md)
 - [V1Phase](docs/V1Phase.md)
 - [V1Phase1](docs/V1Phase1.md)
 - [V1PhaseType](docs/V1PhaseType.md)
 - [V1PhaseType1](docs/V1PhaseType1.md)
 - [V1PhaseType2](docs/V1PhaseType2.md)
 - [V1Project](docs/V1Project.md)
 - [V1Provider](docs/V1Provider.md)
 - [V1ProviderType](docs/V1ProviderType.md)
 - [V1ProxyConfig](docs/V1ProxyConfig.md)
 - [V1Reference](docs/V1Reference.md)
 - [V1References](docs/V1References.md)
 - [V1References1](docs/V1References1.md)
 - [V1References2](docs/V1References2.md)
 - [V1RefreshTokenRequest](docs/V1RefreshTokenRequest.md)
 - [V1RefreshTokenResponse](docs/V1RefreshTokenResponse.md)
 - [V1ResourceSelector](docs/V1ResourceSelector.md)
 - [V1Resources](docs/V1Resources.md)
 - [V1RespData](docs/V1RespData.md)
 - [V1Restore](docs/V1Restore.md)
 - [V1Revision](docs/V1Revision.md)
 - [V1RevisionInfo](docs/V1RevisionInfo.md)
 - [V1RevokeIAMResponse](docs/V1RevokeIAMResponse.md)
 - [V1RoleBinding](docs/V1RoleBinding.md)
 - [V1S3Credentials](docs/V1S3Credentials.md)
 - [V1S3ObjectStorage](docs/V1S3ObjectStorage.md)
 - [V1Sample](docs/V1Sample.md)
 - [V1Schedule](docs/V1Schedule.md)
 - [V1SearchQueryRequest](docs/V1SearchQueryRequest.md)
 - [V1SearchQueryResponse](docs/V1SearchQueryResponse.md)
 - [V1Selector](docs/V1Selector.md)
 - [V1Selector1](docs/V1Selector1.md)
 - [V1SelectorFilter](docs/V1SelectorFilter.md)
 - [V1ServiceAccount](docs/V1ServiceAccount.md)
 - [V1Sort](docs/V1Sort.md)
 - [V1Sort1](docs/V1Sort1.md)
 - [V1Sort10](docs/V1Sort10.md)
 - [V1Sort2](docs/V1Sort2.md)
 - [V1Sort3](docs/V1Sort3.md)
 - [V1Sort4](docs/V1Sort4.md)
 - [V1Sort5](docs/V1Sort5.md)
 - [V1Sort6](docs/V1Sort6.md)
 - [V1Sort7](docs/V1Sort7.md)
 - [V1Sort8](docs/V1Sort8.md)
 - [V1Sort9](docs/V1Sort9.md)
 - [V1SortOrderValue](docs/V1SortOrderValue.md)
 - [V1SourceReferences](docs/V1SourceReferences.md)
 - [V1StatusHealth](docs/V1StatusHealth.md)
 - [V1StatusPhase](docs/V1StatusPhase.md)
 - [V1StatusType](docs/V1StatusType.md)
 - [V1TLSConfig](docs/V1TLSConfig.md)
 - [V1TargetCluster](docs/V1TargetCluster.md)
 - [V1TargetClusterApplicationStatus](docs/V1TargetClusterApplicationStatus.md)
 - [V1TargetClusterPhasePhase](docs/V1TargetClusterPhasePhase.md)
 - [V1TargetClusterRegistrationManifest](docs/V1TargetClusterRegistrationManifest.md)
 - [V1Template](docs/V1Template.md)
 - [V1Template1](docs/V1Template1.md)
 - [V1TemplateSample](docs/V1TemplateSample.md)
 - [V1TemplateType](docs/V1TemplateType.md)
 - [V1Tenant](docs/V1Tenant.md)
 - [V1TimeSeries](docs/V1TimeSeries.md)
 - [V1UnstructuredCredentials](docs/V1UnstructuredCredentials.md)
 - [V1WeeklyPolicy](docs/V1WeeklyPolicy.md)
 - [V1WhoAmIResponse](docs/V1WhoAmIResponse.md)
 - [V1ZuoraSubscriptionInfo](docs/V1ZuoraSubscriptionInfo.md)
 - [WeeklyPolicyWeekday](docs/WeeklyPolicyWeekday.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization

Endpoints do not require authorization.


## Author




